Bug 1478506

Summary: inconsistent response when deleting nonexistent VM snapshot using API
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: APIAssignee: Jillian Tullo <jtullo>
Status: CLOSED ERRATA QA Contact: Martin Kourim <mkourim>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.8.0CC: jhardy, jtullo, obarenbo, simaishi
Target Milestone: GAKeywords: ZStream
Target Release: 5.8.2   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: rest:snapshot
Fixed In Version: 5.8.2.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1466225 Environment:
Last Closed: 2017-10-24 00:17:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1466225    
Bug Blocks:    

Comment 2 CFME Bot 2017-08-04 17:36:27 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/db4182ec83c9048aa2783c01fc653d5af8bbbe56

commit db4182ec83c9048aa2783c01fc653d5af8bbbe56
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Wed Jul 5 12:10:41 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 13:32:14 2017 -0400

    Merge pull request #15489 from jntullo/bz/inconsistent_response_delete_snapshot
    
    Return Not Found on Snapshots Delete actions
    (cherry picked from commit 0a3088e9f403bbe7432f4e6691319af88001dbcb)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478506

 app/controllers/api/subcollections/snapshots.rb | 16 ++++---
 spec/requests/api/snapshots_spec.rb             | 59 ++++++++++++++++++++++++-
 2 files changed, 67 insertions(+), 8 deletions(-)

Comment 3 Martin Kourim 2017-08-29 08:44:00 UTC
Verified with
POST /api/vms/:id/snapshots/222
{ "action": "delete" }
and
DELETE /api/vms/:id/snapshots/222

Comment 5 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005